---
- name: get nodes roles to create inventory groups
  set_fact:
    roles: "{{ (os_infra.nodes_roles|role2nodes()) }}"

# Either we're running on a "secured script runner" and it must have a pub
# key, either we're not and then pub key must be given via well known
# variable file.
- name: get runner id_rsa.pub
  slurp:
    src: "{{ lookup('env', 'HOME') }}/.ssh/id_rsa.pub"
  delegate_to: 127.0.0.1
  register: id_rsa
  ignore_errors: True

- name: retrieve pub key
  set_fact:
    pub_key: "{{ id_rsa['content'] | b64decode }}"
  when: not id_rsa.failed

- name: include vaulted ssh credentials
  include_vars: "{{ playbook_dir }}/vars/vaulted_ssh_credentials.yml"
  when: id_rsa.failed

- name: retrieve pub key
  set_fact:
    pub_key: "{{ vault_ssh_id_rsa_pub }}"
  when: id_rsa.failed

- name: check if vaulted ssh_gateways file exists
  stat:
    path: "{{ playbook_dir }}/vars/ssh_gateways.yml"
  register: gw_stat

- name: include vaulted ssh gateways
  include_vars: "{{ playbook_dir }}/vars/ssh_gateways.yml"
  when: gw_stat.stat.exists
